Download it now!
Bug 139944 - Navigator not adjusted to "Master slide mode". So shows objects from normal mode
Summary: Navigator not adjusted to "Master slide mode". So shows objects from normal mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-27 13:12 UTC by Telesto
Modified: 2021-04-06 10:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (10.99 KB, application/vnd.oasis.opendocument.presentation)
2021-02-13 19:42 UTC, Telesto
Details
demo of navigator disable when in master mode (1.04 MB, video/x-matroska)
2021-03-05 08:28 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-01-27 13:12:03 UTC
Description:
Navigator not adjusted to "Master slide mode". So shows objects from normal mode

Steps to Reproduce:
1. Open the attached file
2. View -> Master slide mode
3. Double click in Blue in sidebar navigator

Actual Results:
Switches mode

Expected Results:
Blue shouldn't be shown


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 6ee7a3b2c0565c2871d32d704cb2899445b9f88d
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-01-27 13:13:54 UTC
Also in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 2 Telesto 2021-01-27 13:14:55 UTC
And in
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
Comment 3 Olivier Hallot 2021-02-13 18:28:49 UTC
no attachment sent
Comment 4 Telesto 2021-02-13 19:42:13 UTC
Created attachment 169717 [details]
Example file
Comment 5 Telesto 2021-02-13 19:43:34 UTC
Step 3 doesn't occur in the example attached.. but well. principle question stands.. Master slide mode should only show objects present in master slide
Comment 6 Heiko Tietze 2021-02-15 09:53:57 UTC
Clearly a bug to me. If one clicks another slide, the master mode remains active but actually we are in the normal mode and editing slides is possible.

Jim, is simply disabling all nodes an easy to realize option?
Comment 7 Jim Raykowski 2021-03-05 08:27:22 UTC
(In reply to Heiko Tietze from comment #6)
> Clearly a bug to me. If one clicks another slide, the master mode remains
> active but actually we are in the normal mode and editing slides is possible.
> 
> Jim, is simply disabling all nodes an easy to realize option?

Had to poke around in not so familiar part of the code base so this is not off the top of the head easy for me, few things are ;-)

Here is a patch that disables the navigator when in master edit mode:
https://gerrit.libreoffice.org/c/core/+/111986
Comment 8 Jim Raykowski 2021-03-05 08:28:39 UTC
Created attachment 170227 [details]
demo of navigator disable when in master mode
Comment 9 Heiko Tietze 2021-03-08 08:09:56 UTC
(In reply to Jim Raykowski from comment #8)
> Created attachment 170227 [details]
> demo of navigator disable when in master mode

Nice!
Comment 10 Commit Notification 2021-03-09 01:25:46 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/740fca22fc92065436dee9beae89852fc388db54

tdf#139944 Disable navigator in impress and draw master mode

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.